For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
      • GETList all filter sets
      • POSTCreate filter set
      • GETGet filter set
      • DELDelete filter set
      • PATCHUpdate filter set
      • POSTClone filter set
      • POSTLock filter set for editing
      • POSTUnlock filter set for editing
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceFilter Sets

Clone filter set

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/filter-sets/:id/clone/
POST
/api/v1/filter-sets/:id/clone/
$curl -X POST https://api.prolific.com/api/v1/filter-sets/id/clone/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "644ab312af6bbc363b9d47c7",
3 "version": 2,
4 "is_deleted": false,
5 "is_locked": true,
6 "workspace_id": "644aaabfaf6bbc363b9d47c6",
7 "organisation_id": "org_9876543210",
8 "name": "Ambidextrous teenagers - Copy",
9 "filters": [
10 {
11 "filter_id": "handedness",
12 "selected_values": [
13 "2"
14 ],
15 "weightings": {}
16 }
17 ],
18 "eligible_participant_count": 150
19}
Create a copy of a filter set.
Was this page helpful?
Previous

Update filter set

Next

Lock filter set for editing

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
ID of the filter set.

Request

This endpoint expects an object.
new_namestringOptional
A new name for the cloned filter set.

Response

Filter set cloned
idstring
ID of the filter set.
versioninteger
An incrementing integer indicating the version of the filter set.
is_deletedboolean
Whether the filter set has been deleted.
is_lockedboolean
Whether the filter set has been locked.
workspace_idstring or null
ID of the workspace where the filter set can be used.
organisation_idstring or null
ID of the workspace where the filter set can be used.
namestring
Name of the filter set.
filterslist of objects
List of all filters contained in the filter set.
eligible_participant_countinteger
The number of participants who match the filter sets filters. Please note that if the number is lower than 25 the count will be obscured to prevent identification of participants.

Errors

4XX
Client Request Error